<?php
session_start();
require("../../database/dbConection.php");

$UsuarioLogado  = $_SESSION['idUsuarioLogado'];
$opcaoBusca     = $_POST['opcaoBusca'];


switch ($opcaoBusca) {

  case "editar-agendamento":
    $idAgendamento  = $_POST['idAgendamento'];
    $stmAgendamento = $rsConexao->prepare("SELECT * FROM reg_tb_agendamentos WHERE id_agendamento='$idAgendamento'");
    $stmAgendamento->execute();
    $rsAgendamento  = $stmAgendamento->fetch(PDO::FETCH_OBJ);

    $arrayAgendamentos = array(
      'numeroSolicitacao'     => $rsAgendamento->numero_solicitacao,
      'numeroChave'           => $rsAgendamento->numero_chave,
      'grupoProcedimento'     => $rsAgendamento->id_grupo_procedimento,
      'nomeProcedimento'      => $rsAgendamento->id_procedimento,
      'origemAgendamento'     => $rsAgendamento->origem_agendamento,
      'dataAtendimento'       => $rsAgendamento->data_atendimento,
      'dataRetirada'          => $rsAgendamento->data_retirada,
      'observacaoAgendamento' => $rsAgendamento->observacoes_demanda
    );
    echo json_encode($arrayAgendamentos);
    break;

  case "comunicacao-pacientes-whatsapp":
    $idPaciente  = $_POST['idPaciente'];

    /**** ATUALIAR AGENDAMENTOS DESSE PACIENTE COM STATUS DE QUE ESTÁ EM COMUNICAÇÃO ****/
    $stmAtuaizaStatusComunicacao = $rsConexao->prepare("UPDATE reg_tb_agendamentos SET em_comunicacao='S', cancelar_comunicacao='S' WHERE status_agendamento='Agendado' AND id_paciente='$idPaciente'");
    $stmAtuaizaStatusComunicacao->execute();
    /************************************************************************************/

    $sqlAgendamentoPaciente = "SELECT reg_tb_agendamentos.id_agendamento, tb_paciente.nome_paciente, tb_paciente.cns_paciente, tb_paciente.celular1, tb_paciente.celular1_whatsapp,
    tb_paciente.celular2, tb_paciente.celular2_whatsapp, tb_paciente.celular3, tb_paciente.celular3_whatsapp, reg_tb_procedimento.id_procedimento, reg_tb_procedimento.nome_procedimento, date_format(reg_tb_agendamentos.data_retirada,'%d/%m/%Y') as dataRetirada FROM (reg_tb_agendamentos INNER JOIN tb_paciente ON (reg_tb_agendamentos.id_paciente = tb_paciente.id_paciente)) INNER JOIN reg_tb_procedimento ON (reg_tb_agendamentos.id_procedimento = reg_tb_procedimento.id_procedimento) WHERE reg_tb_agendamentos.id_paciente='$idPaciente' AND reg_tb_agendamentos.status_agendamento='Agendado' ORDER BY reg_tb_agendamentos.data_retirada";

    $stmDadosPaciente = $rsConexao->prepare($sqlAgendamentoPaciente);
    $stmDadosPaciente->execute();
    $rsDadosPaciebte  = $stmDadosPaciente->fetch(PDO::FETCH_OBJ);

    /* dados do paciente */
    $nomePaciente       = $rsDadosPaciebte->nome_paciente;
    $cnsPaciente        = $rsDadosPaciebte->cns_paciente;
    $telefone1          = $rsDadosPaciebte->celular1_whatsapp == "S" ? $rsDadosPaciebte->celular1 . " - <i class='icofont icofont-brand-whatsapp'></i>" : $rsDadosPaciebte->celular1;
    $telefone2          = $rsDadosPaciebte->celular2_whatsapp == "S" ? $rsDadosPaciebte->celular2 . " - <i class='icofont icofont-brand-whatsapp'></i>" : $rsDadosPaciebte->celular2;
    $telefone3          = $rsDadosPaciebte->celular3_whatsapp == "S" ? $rsDadosPaciebte->celular3 . " - <i class='icofont icofont-brand-whatsapp'></i>" : $rsDadosPaciebte->celular3;
    $gerarDadosPaciente = "$nomePaciente##$cnsPaciente##$telefone1##$telefone2##$telefone3";

    /* dados do agendamento */
    $stmDadosAgendamento = $rsConexao->prepare($sqlAgendamentoPaciente);
    $stmDadosAgendamento->execute();
    $rsDadosAgendamento  = $stmDadosAgendamento->fetchAll(PDO::FETCH_ASSOC);
    $htmlAgendamento     = "";
    foreach ($rsDadosAgendamento as $fieldAgendamento) {
      $idAgendamento      = $fieldAgendamento['id_agendamento'];
      $dataRetirada       = $fieldAgendamento['dataRetirada'];
      $nomeProcedimento   = mb_strtoupper($fieldAgendamento['nome_procedimento']);

      $linkAtualizarStatus = 'onChange="atualizarStatus(' . "'$idAgendamento',this.value)" . '"';
      $comboStatus = "<select id='setStatus$idAgendamento' class='form-control' $linkAtualizarStatus>
        <option value=''>SELECIONE...</option>
        <option value='Confirmado'>CONFIRMADO</option>
        <option value='Cancelar'>CANCELAR</option>
      </select>";
      $htmlAgendamento .= "<tr>
        <td align='center' style='border: 1px solid gray; height: 30px;'>$dataRetirada</td>
        <td style='border: 1px solid gray'>&nbsp;$nomeProcedimento</td>
        <td style='border: 1px solid gray'>$comboStatus</td>
      </tr>";
    }
    echo $gerarDadosPaciente . "##" . $htmlAgendamento;
    break;

  case "comunicacao-pacientes-ligacao":
    $idPaciente  = $_POST['idPaciente'];

    $sqlAgendamentoPaciente = "SELECT reg_tb_agendamentos.id_agendamento, tb_paciente.nome_paciente, tb_paciente.cns_paciente, tb_paciente.celular1, tb_paciente.celular1_whatsapp,
    tb_paciente.celular2, tb_paciente.celular2_whatsapp, tb_paciente.celular3, tb_paciente.celular3_whatsapp, reg_tb_procedimento.id_procedimento, reg_tb_procedimento.nome_procedimento, date_format(reg_tb_agendamentos.data_retirada,'%d/%m/%Y') as dataRetirada FROM (reg_tb_agendamentos INNER JOIN tb_paciente ON (reg_tb_agendamentos.id_paciente = tb_paciente.id_paciente)) INNER JOIN reg_tb_procedimento ON (reg_tb_agendamentos.id_procedimento = reg_tb_procedimento.id_procedimento) WHERE reg_tb_agendamentos.id_paciente='$idPaciente' AND reg_tb_agendamentos.status_agendamento='Agendado' ORDER BY reg_tb_agendamentos.data_retirada";

    $stmDadosPaciente = $rsConexao->prepare($sqlAgendamentoPaciente);
    $stmDadosPaciente->execute();
    $rsDadosPaciebte  = $stmDadosPaciente->fetch(PDO::FETCH_OBJ);

    /* dados do paciente */
    $nomePaciente       = $rsDadosPaciebte->nome_paciente;
    $cnsPaciente        = $rsDadosPaciebte->cns_paciente;
    $telefone1          = $rsDadosPaciebte->celular1_whatsapp == "S" ? $rsDadosPaciebte->celular1 . " - <i class='icofont icofont-brand-whatsapp'></i>" : $rsDadosPaciebte->celular1;
    $telefone2          = $rsDadosPaciebte->celular2_whatsapp == "S" ? $rsDadosPaciebte->celular2 . " - <i class='icofont icofont-brand-whatsapp'></i>" : $rsDadosPaciebte->celular2;
    $telefone3          = $rsDadosPaciebte->celular3_whatsapp == "S" ? $rsDadosPaciebte->celular3 . " - <i class='icofont icofont-brand-whatsapp'></i>" : $rsDadosPaciebte->celular3;
    $gerarDadosPaciente = "$nomePaciente##$cnsPaciente##$telefone1##$telefone2##$telefone3";

    /* dados do agendamento */
    $stmDadosAgendamento = $rsConexao->prepare($sqlAgendamentoPaciente);
    $stmDadosAgendamento->execute();
    $rsDadosAgendamento  = $stmDadosAgendamento->fetchAll(PDO::FETCH_ASSOC);
    $htmlAgendamento     = "";
    foreach ($rsDadosAgendamento as $fieldAgendamento) {
      $idAgendamento      = $fieldAgendamento['id_agendamento'];
      $dataRetirada       = $fieldAgendamento['dataRetirada'];
      $nomeProcedimento   = mb_strtoupper($fieldAgendamento['nome_procedimento']);

      $linkAtualizarStatus = 'onChange="atualizarStatus(' . "'$idAgendamento',this.value)" . '"';
      $comboStatus = "<select id='setStatus$idAgendamento' class='form-control' $linkAtualizarStatus>
        <option value=''>SELECIONE...</option>
        <option value='Confirmado'>CONFIRMADO</option>
        <option value='Cancelar'>CANCELAR</option>
      </select>";
      $htmlAgendamento .= "<tr>
        <td align='center' style='border: 1px solid gray; height: 30px;'>$dataRetirada</td>
        <td style='border: 1px solid gray'>&nbsp;$nomeProcedimento</td>
        <td style='border: 1px solid gray'>$comboStatus</td>
      </tr>";
    }
    echo $gerarDadosPaciente . "##" . $htmlAgendamento;
    break;

  case "dados-solicitacao-agendamento":
    $opcaoEdicao  = $_POST['opcaoEdicao'];
    $idReferencia = $_POST['idReferencia'];
    switch ($opcaoEdicao) {
      case "solicitacao":
        $sqlPrazoRetirada = "SELECT tb_paciente.nome_paciente,
        reg_tb_procedimento.nome_procedimento,
        reg_tb_solicitacoes.dataprazo_retirada
        FROM tb_paciente
        INNER JOIN reg_tb_solicitacoes ON (tb_paciente.id_paciente = reg_tb_solicitacoes.id_paciente)
        INNER JOIN reg_tb_procedimento ON (reg_tb_procedimento.id_procedimento = reg_tb_solicitacoes.id_procedimento)
        WHERE reg_tb_solicitacoes.id_solicitacao='$idReferencia'";
        break;
      case "agendamento-avulso":
        $sqlPrazoRetirada = "SELECT tb_paciente.nome_paciente,
        reg_tb_procedimento.nome_procedimento,
        reg_tb_agendamentos.dataprazo_retirada
        FROM tb_paciente
        INNER JOIN reg_tb_agendamentos ON (tb_paciente.id_paciente = reg_tb_agendamentos.id_paciente)
        INNER JOIN reg_tb_procedimento ON (reg_tb_procedimento.id_procedimento = reg_tb_agendamentos.id_procedimento)
        WHERE reg_tb_agendamentos.id_agendamento='$idReferencia'";
        break;
    }
    $stmPrazoRetirada = $rsConexao->prepare($sqlPrazoRetirada);
    $stmPrazoRetirada->execute();
    $rsPrazoRetirada  = $stmPrazoRetirada->fetch(PDO::FETCH_OBJ);

    $nomePaciente       = $rsPrazoRetirada->nome_paciente;
    $nomeProcedimento   = $rsPrazoRetirada->nome_procedimento;
    $dataPrazoRetirada  = $rsPrazoRetirada->dataprazo_retirada;
    echo "$nomePaciente#$nomeProcedimento#$dataPrazoRetirada";
    break;

  case "editar-estabelecimento":
    $idEstabelecimento    = $_POST['idEstabelecimento'];
    $stmEstabelecimento   = $rsConexao->prepare("SELECT * FROM tb_estabelecimento WHERE codigoestabelecimento_cnes='$idEstabelecimento'");
    $stmEstabelecimento->execute();
    $rsEstabelecimento    = $stmEstabelecimento->fetch(PDO::FETCH_OBJ);

    $arrayEstabelecimento = array(
      'cnpjEstabelecimento'         => $rsEstabelecimento->cnpj_estabelecimento,
      'razaoSocialEstabelecimento'  => $rsEstabelecimento->nempresarial_estabelecimento,
      'nomeFantasiaEstabelecimento' => $rsEstabelecimento->nfantasia_estabelecimento,
      'cnesEstabelecimento'         => $rsEstabelecimento->cnes_estabelecimento,
      'cepEstabelecimento'          => $rsEstabelecimento->cep_estabelecimento,
      'enderecoEstabelecimento'     => $rsEstabelecimento->endereco_estabelecimento,
      'numeroEstabelecimento'       => $rsEstabelecimento->numeroend_estabelecimento,
      'bairroEstabelecimento'       => $rsEstabelecimento->bairro_estabelecimento,
      'complementoEstabelecimento'  => $rsEstabelecimento->pontoreferencia_estabelecimento,
      'telefoneEstabelecimento1'    => $rsEstabelecimento->telefone1_estabelecimento,
      'telefoneEstabelecimento2'    => $rsEstabelecimento->telefone2_estabelecimento,
      'emailEstabelecimento'        => $rsEstabelecimento->email_estabelecimento,
      'latitudeEstabelecimento'     => $rsEstabelecimento->latitude_estabelecimento,
      'longitudeEstabelecimento'    => $rsEstabelecimento->longitude_estabelecimento,
      'prestadorPrivado'            => $rsEstabelecimento->prestador_privado,
      'postoDescentralizado'        => $rsEstabelecimento->posto_regulacao,
      'nomeAbreviado'               => $rsEstabelecimento->nome_abreviado,
      'perfilEstabelecimento'       => $rsEstabelecimento->perfil_estabelecimento,
      'respeitaCotaEstabelecimento' => $rsEstabelecimento->respeita_cota != "" ? $rsEstabelecimento->respeita_cota : "NA",
      'ibgeEstabelecimento'         => $rsEstabelecimento->codigoibge_cidade,
      'usaPainelSenha'              => $rsEstabelecimento->usa_painelsenha,
    );
    echo json_encode($arrayEstabelecimento);
    break;
  case "editar-profissional":
    $idProfissional     = $_POST['idProfissional'];
    $idEstabelecimento  = $_POST['idEstabelecimento'];
    $sqlProfissional    = "SELECT tb_profissional_vinculo.codigoestabelecimento_cnes,
    tb_profissional.codigoprofissional_cnes,
    tb_profissional.cpf_profissional,
    tb_profissional.cns_profissional,
    tb_profissional.nome_profissional,
    tb_profissional_vinculo.codigo_cbo,
    rl_cbo.nome_cbo
    FROM tb_profissional_vinculo
    INNER JOIN rl_cbo ON (tb_profissional_vinculo.codigo_cbo = rl_cbo.codigo_cbo)
    INNER JOIN tb_profissional ON (tb_profissional_vinculo.codigoprofissional_cnes = tb_profissional.codigoprofissional_cnes)
    WHERE (tb_profissional_vinculo.codigoprofissional_cnes='$idProfissional') AND (tb_profissional_vinculo.codigoestabelecimento_cnes='$idEstabelecimento')";
    $stmProfissional  = $rsConexao->prepare($sqlProfissional);
    $stmProfissional->execute();
    $rsProfissional   = $stmProfissional->fetch(PDO::FETCH_OBJ);

    $arrayProfissional = array(
      'unidadeSaude'          => $rsProfissional->codigoestabelecimento_cnes,
      'cpfProfissional'       => $rsProfissional->cpf_profissional,
      'cnsProfissional'       => $rsProfissional->cns_profissional,
      'nomeProfissional'      => $rsProfissional->nome_profissional,
      'codigoCBOProfissional' => $rsProfissional->codigo_cbo,
      'nomeCBOProfissional'   => $rsProfissional->nome_cbo
    );
    echo json_encode($arrayProfissional);
    break;

  case "estabelecimento-profissionais-vinculados":

    $idEstabelecimento  = $_POST['idEstabelecimento'];
    $sqlProfissional    = "SELECT tb_profissional.codigoprofissional_cnes,
    tb_profissional.nome_profissional,
    tb_profissional.cpf_profissional,
    tb_profissional.cns_profissional
    FROM tb_profissional_vinculo
    INNER JOIN tb_profissional ON (tb_profissional_vinculo.codigoprofissional_cnes = tb_profissional.codigoprofissional_cnes)
    WHERE (tb_profissional_vinculo.codigoestabelecimento_cnes='$idEstabelecimento')
    GROUP BY nome_profissional";
    $stmProfissional  = $rsConexao->prepare($sqlProfissional);
    $stmProfissional->execute();
    if ($stmProfissional->rowCount() > 0) {
      $rsProfissional = $stmProfissional->fetchAll(PDO::FETCH_ASSOC);
      foreach ($rsProfissional as $fieldProfissional) {
        $idProfissional   = $fieldProfissional['codigoprofissional_cnes'];
        $nomeProfissional = mb_strtoupper($fieldProfissional['nome_profissional']);
        $cpfProfissional  = $fieldProfissional['cpf_profissional'];
        $cnsProfissional  = $fieldProfissional['cns_profissional'];

        $sqlVinculo = "SELECT tb_profissional_vinculo.codigo_cbo,
        rl_cbo.nome_cbo
        FROM tb_profissional_vinculo
        INNER JOIN rl_cbo ON (tb_profissional_vinculo.codigo_cbo = rl_cbo.codigo_cbo)
        WHERE (tb_profissional_vinculo.codigoprofissional_cnes='$idProfissional')
        AND (tb_profissional_vinculo.codigoestabelecimento_cnes='$idEstabelecimento')";
        $stmVinculo = $rsConexao->prepare($sqlVinculo);
        $stmVinculo->execute();
        if ($stmVinculo->rowCount() > 0) {
          $especializadaProfissional = "";
          $rsVinculo = $stmVinculo->fetchAll(PDO::FETCH_ASSOC);
          foreach ($rsVinculo as $fieldVinculo) {
            $codigoCBO  = $fieldVinculo['codigo_cbo'];
            $nomeCBO    = $fieldVinculo['nome_cbo'];
            if ($especializadaProfissional == "") {
              $especializadaProfissional  = "&bull; <b>CBO:</b> $codigoCBO - $nomeCBO";
            } else {
              $especializadaProfissional  = "<b>CBO:</b> $especializadaProfissional<br>&bull; $codigoCBO - $nomeCBO";
            }
          }
          $corFontVinculo = "#027fbe";
        } else {
          $especializadaProfissional  = "&bull; PROFISSIONAL SEM CBO CADASTRADO";
          $corFontVinculo = "#830202";
        }
        echo "<tr>
        <td>
          $nomeProfissional
          <div style='width:auto; padding:2px; color:$corFontVinculo'>
            $especializadaProfissional
          </div>
        </td>
        <td align='center'>$cpfProfissional</td>
        <td align='center'>$cnsProfissional</td>
      </tr>";
      }
    }
    break;

  case "preencher-combo-e-listasetor":
    $idUnidadePainel  = $_POST['idUnidadePainel'];
    $idPainelChamada  = $_POST['idPainelChamada'];

    $sqlSetorUnidade  = "SELECT reg_tb_setoratendimento.*
    FROM reg_tb_setoratendimento
    WHERE (reg_tb_setoratendimento.codigo_estabelecimento = '$idUnidadePainel')
    ORDER BY reg_tb_setoratendimento.nome_setoratendimento ASC";
    $stmSetorUnidade   = $rsConexao->prepare($sqlSetorUnidade);
    $stmSetorUnidade->execute();
    $htmlRetornoSelect  = "<option value=''>SELECIONE...</option>";
    if ($stmSetorUnidade->rowCount() > 0) {
      $rsSetorUnidade  = $stmSetorUnidade->fetchAll(PDO::FETCH_ASSOC);
      foreach ($rsSetorUnidade as $fiedSetorUnidade) {
        $idSetorUnidade    = $fiedSetorUnidade['id_setoratendimento'];
        $nomeSetorUnidade  = $fiedSetorUnidade['nome_setoratendimento'];
        $htmlRetornoSelect .= "<option value='$idSetorUnidade'>$nomeSetorUnidade</option>";
      }
    } else {
      $htmlRetornoSelect  = "<option value=''>SEM SETOR CADASTRADO NA UNIDADE</option>";
    }

    $sqlSetoresPainel = "SELECT reg_tb_painelchamada_setor.id_painelchamada_setor,
       ucase(reg_tb_setoratendimento.nome_setoratendimento) AS nomeSetor,
       reg_tb_painelchamada_setor.id_painelchamada
       FROM reg_tb_setoratendimento
       INNER JOIN reg_tb_painelchamada_setor ON (reg_tb_setoratendimento.id_setoratendimento = reg_tb_painelchamada_setor.id_setoratendimento)
       WHERE reg_tb_painelchamada_setor.id_painelchamada='$idPainelChamada' AND reg_tb_painelchamada_setor.codigoestabelecimento_cnes='$idUnidadePainel'
       ORDER BY reg_tb_setoratendimento.nome_setoratendimento";
    $stmSetoresPainel  = $rsConexao->prepare($sqlSetoresPainel);
    $stmSetoresPainel->execute();
    $htmlRetornoListagem  = "";
    if ($stmSetoresPainel->rowCount() > 0) {
      $rsSetoresPainel  = $stmSetoresPainel->fetchAll(PDO::FETCH_ASSOC);
      foreach ($rsSetoresPainel as $fiedSetoresPainel) {
        $idSetorPainel    = $fiedSetoresPainel['id_painelchamada_setor'];
        $nomeSetor  = $fiedSetoresPainel['nomeSetor'];

        $linkExcluirSetorPainel  = '"excluirSetorPainel(' . "'$idSetorPainel')" . '"';

        $htmlRetornoListagem .= "<tr>
            <td style='text-align:center; border:1px solid'>
              <i class='icofont icofont-close-squared nova_fonte_delete' title='Excluir registro do setor.' onclick=$linkExcluirSetorPainel></i>&nbsp;
            </td>
            <td style='border:1px solid'>$nomeSetor</td>
          </tr>";
      }
    } else {
      $htmlRetornoListagem = "<td colspan='2' style='text-align:center; border:1px solid'><b>Sem setor cadastrado...</b></td>";
    }
    echo "$htmlRetornoSelect###$htmlRetornoListagem";
    break;

  case "estabelecimento-usuarios-ativos":
    $idEstabelecimento = $_POST['idEstabelecimento'];
    $sqlUsuario = "SELECT ucase(reg_tb_usuario.nome_usuario) AS nomeUsuario,
      reg_tb_usuario.fonecelular,
       ucase(reg_rl_usuario_perfil.descricao_usuario_perfil) AS nomePerfil,
       tb_estabelecimento.nfantasia_estabelecimento
       FROM reg_tb_usuario
       INNER JOIN reg_tb_usuario_perfil ON (reg_tb_usuario.id_usuario = reg_tb_usuario_perfil.id_usuario)
       INNER JOIN reg_rl_usuario_perfil ON (reg_rl_usuario_perfil.id_usuario_perfil = reg_tb_usuario_perfil.id_pefilusuario)
       INNER JOIN tb_estabelecimento ON (tb_estabelecimento.codigoestabelecimento_cnes = reg_tb_usuario_perfil.id_unidadeassociada) 
       WHERE reg_tb_usuario_perfil.id_unidadeassociada='$idEstabelecimento' and reg_tb_usuario.ativo='1'
       ORDER BY reg_tb_usuario.nome_usuario, reg_rl_usuario_perfil.descricao_usuario_perfil";
    $stmUsuario = $rsConexao->prepare($sqlUsuario);
    $stmUsuario->execute();
    if ($stmUsuario->rowCount() > 0) {
      $rsUsuario  = $stmUsuario->fetchAll(PDO::FETCH_ASSOC);
      foreach ($rsUsuario as $fieldUsuario) {
        $nomeUsuario  = $fieldUsuario['nomeUsuario'];
        $nomePerfil   = $fieldUsuario['nomePerfil'];
        $foneUsuario  = $fieldUsuario['fonecelular'];
        echo "<tr>
            <td>$nomeUsuario</td>
            <td>$nomePerfil</td>
            <td align='center'>$foneUsuario</td>
          </tr>";
      }
    }
    break;

  case "dados-confirmacao-atual":
    $idPaciente  = $_POST['idPaciente'];
    $idAgenda  = $_POST['idAgenda'];
    $stmRegistroConfirmacao  = $rsConexao->prepare("SELECT * FROM reg_tb_agendamentos_atender WHERE id_paciente='$idPaciente' AND id_agenda='$idAgenda'");
    $stmRegistroConfirmacao  ->execute();
    if($stmRegistroConfirmacao->rowCount()>0){
      $rsRegistroConfirmacao = $stmRegistroConfirmacao->fetch(PDO::FETCH_OBJ);
      $arrayRegistroConfirmacao = array(
        'tipoAtendimento'       => $rsRegistroConfirmacao->tipo_atendimento_painel,
        'observacaoAtendimento' => $rsRegistroConfirmacao->observacao_recepcao_painel
      );
    }else{
      $arrayRegistroConfirmacao = array(
        'tipoAtendimento'       => "",
        'observacaoAtendimento' => ""
      );
    }
    echo json_encode($arrayRegistroConfirmacao);
    break;  
  
  case "dados-cota-unidade":
    $idCota  = $_POST['idCota'];
    $stmCota = $rsConexao->prepare("SELECT *, format(reg_tb_cotas.cota_percentual, 1, 'de_DE') AS percentualCota FROM reg_tb_cotas WHERE id_registrocota='$idCota'");
    $stmCota->execute();
    $rsCota  = $stmCota->fetch(PDO::FETCH_OBJ);
    
    # -- pegar dados do teto da unidade executante e procedimento --#
    $grupoProcedimento = $rsCota->id_procedimento!="" ? "PROCEDIMENTO##".$rsCota->id_procedimento : "GRUPO##".$rsCota->id_grupo_procedimento;
    $unidadeExecutante = $rsCota->estabelecimento_executante;
    $unidadeSolicitante = $rsCota->estabelecimento_solicitante;
    $whereProcedimentoGrupo = $rsCota->id_procedimento!="" ? "id_procedimento" : "id_grupo_procedimento";
    $idProcedimentoGrupo    = $rsCota->id_procedimento!="" ? $rsCota->id_procedimento : $rsCota->id_grupo_procedimento;  
    $sqlTeto = "SELECT IFNULL(SUM(quantidade_programada), 0) AS totalFisicoProgramado,
    IFNULL(SUM(valor_programado),0) AS totalFinanceiroProgramado,    
    reg_tb_tetounidade.tipo_apuracao
    FROM reg_tb_tetounidade
    WHERE ($whereProcedimentoGrupo='$idProcedimentoGrupo')
    AND (codigoestabelecimento_cnes='$unidadeExecutante')";
    $stmTeto  = $rsConexao->prepare($sqlTeto);
    $stmTeto  ->execute();
    $rsTeto   = $stmTeto->fetch(PDO::FETCH_OBJ);
    $tetoUnidade = $rsTeto->totalFisicoProgramado!=0 ? $rsTeto->totalFisicoProgramado : $rsTeto->totalFinanceiroProgramado;

    # -- pegar soma da cota do procedimento -- #
    $sqlCotaUsada = "SELECT SUM(cota_quantidade) AS totalCotaUsada 
    FROM reg_tb_cotas
    WHERE ($whereProcedimentoGrupo='$idProcedimentoGrupo')
    AND (estabelecimento_executante='$unidadeExecutante')
    AND (estabelecimento_solicitante!='$unidadeSolicitante')";
    $stmCotaUsada = $rsConexao->prepare($sqlCotaUsada);
    $stmCotaUsada->execute();
    $rsContaUsada = $stmCotaUsada->fetch(PDO::FETCH_OBJ);

    $arrayCota = array(
      'grupoProcedimento' => $grupoProcedimento,
      'unidadExecutante'  => $unidadeExecutante,
      'saldoTeto'         => $tetoUnidade-$rsContaUsada->totalCotaUsada." / ".$tetoUnidade,
      'percentualCota'    => $rsCota->percentualCota,
      'quantidadeCota'    => $rsCota->cota_quantidade,
      'tipoAnalise'       => $rsCota->cota_tipoanalise
    );
    echo json_encode($arrayCota);
    break;

  case "mensagem-whatsapp":
    
    break;
}
